### Function

# GimpUi zoom_button_new

#### Declaration [src]

    GtkWidget*
    gimp_zoom_button_new (
      GimpZoomModel* model,
      GimpZoomType zoom_type,
      GtkIconSize icon_size
    )

#### Description

No description available.

#### Parameters

`model`

  Type: `GimpZoomModel`

  A `GimpZoomModel`.

  The data is owned by the caller of the function.

`zoom_type`

  Type: `GimpZoomType`

  No description available.

`icon_size`

  Type: `GtkIconSize`

  Use 0 for a button with text labels.

#### Return value

Type: `GtkWidget`

A newly created GtkButton

Since GIMP 2.4.

The caller of the function takes ownership of the data, and is responsible for freeing it.